Subject: [xmpp] WebSocket open/close

From: Peter Saint-Andre <[email-masked]>
Date: Mon, 02 Dec 2013 15:41:59 -0700

As far as I can see, we didn't have agreement in the room at IETF 88
about the framing for stream open and close. Based on informal,
offlist discussion since then, it seems that most current
implementations send the RFC 6120 <stream:stream> and </stream:stream>
tags, and don't use something like specialized <open> and <close>
elements. Unless folks on this list have concerns about the first
approach, personally I'd be comfortable going with the running code.
What do others think?

Peter

- -- 
Peter Saint-Andre
https://stpeter.im/

---

From: Jack Moffitt <[email-masked]>
Date: Mon, 2 Dec 2013 15:52:26 -0700

<stream:stream> and </stream:stream> can be treated as tokens and
don't require a streaming parser. The attributes are easily picked out
in a regex. That's probably why we originally defined them that way
even though it's unparseable as XML by JavaScript using the native
parsers.

jack.

On Mon, Dec 2, 2013 at 3:41 PM, Peter Saint-Andre <[email-masked]> wrote:
> -----BEGIN PGP SIGNED MESSAGE-----
> Hash: SHA1
>
> -----BEGIN PGP SIGNATURE-----
> Version: GnuPG/MacGPG2 v2.0.19 (Darwin)
> Comment: GPGTools - http://gpgtools.org
> Comment: Using GnuPG with Thunderbird - http://www.enigmail.net/
>
> iQIcBAEBAgAGBQJSnQy3AAoJEOoGpJErxa2pl8AP/1ojqiMTD1i1/OEbMVZuGzEi
> NbQjhqAujLKjPRxEBko5iQ2n2hpfbSIqrX1ZUm31kdQnc5GggQJFQuvvw4B1Afj5
> yrfEmHgeCfIRkvsPV39B/tihXCW5ozqQNy0bE/HpOqBSeSyPHOljQydYRu7o21Ad
> st5hf/3BYpZb6VHUsBgtWV1gooKLpeWKDMOjHclnVaYHd6jOWPqKzHa4R2EmnRSB
> JLqUjjjkm9Zxp5e2XRJQKxk/LPgr34cj8VXZf7yiKPd1eXSwdwEhwy3ESVG51cjL
> 5L1j2wxCy8ZcrB9CUmiNXAWzwQQrDkUWCQsf4+VqwCedZV3xBvzncKtMxrXuBvz8
> pzYbBXHnH6ZKBvhkTrlFsMidlk2DDwsVTjQpZkjwWuo4euc9W77s9QhoNWEH6fwB
> QV0FJ6V+I5x+H7OscjJwdoe5+zAmhSkZUtCzqfddMUu+o33AGaJtjvUaZeojFzB4
> x1nBVZCpXrs0vlXParekBzOZICQ810c6nlLTXRjbHNjQl23YASdj/f4vnHCKsKPN
> D5ilMlR4Zc5aqY9B3pvFrXuNDnBRnol/hpn5uHkp++Bp4uwRDikBT6EAFjBDN1xO
> C7MBlvdtGEFGqv7ykWrGjQ1OYwqtk1jrjEXYxfEov7h1e0F1YL6pfLHAd6uA5NhP
> Sjuwgtedh8Pk5LQbn1aJ
> =ncWw
> -----END PGP SIGNATURE-----
> _______________________________________________
> xmpp mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/xmpp

---

From: Peter Saint-Andre <[email-masked]>
Date: Mon, 02 Dec 2013 16:02:28 -0700

Right. We'll probably want to mandate the 'stream' prefix for ease of
regex matching, but we come close to doing that in RFC 6120 anyway.

On 12/2/13 3:52 PM, Jack Moffitt wrote:
> don't require a streaming parser. The attributes are easily picked
> out in a regex. That's probably why we originally defined them that
> way even though it's unparseable as XML by JavaScript using the
> native parsers.
> 
> jack.
> 
> On Mon, Dec 2, 2013 at 3:41 PM, Peter Saint-Andre
> <[email-masked]> wrote: As far as I can see, we didn't have
> agreement in the room at IETF 88 about the framing for stream open
> and close. Based on informal, offlist discussion since then, it
> seems that most current implementations send the RFC 6120
> <stream:stream> and </stream:stream> tags, and don't use something
> like specialized <open> and <close> elements. Unless folks on this
> list have concerns about the first approach, personally I'd be
> comfortable going with the running code. What do others think?
> 
> Peter
>